Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.raytracer.surfaceUI
Class SurfaceUIFactory.SurfaceUIImpl

    java.lang.Object
      net.sf.j3d.threeD.raytracer.surfaceUI.AbstractSurfaceUI
          net.sf.j3d.threeD.raytracer.surfaceUI.SurfaceUIFactory.SurfaceUIImpl

All Implemented Interfaces:
  Surface, SurfaceWrapper, SurfaceUI

Enclosing class:
  SurfaceUIFactory

    public static class SurfaceUIFactory.SurfaceUIImpl

extends AbstractSurfaceUI

Constructor Summary
`SurfaceUIFactory.SurfaceUIImpl()`
`SurfaceUIFactory.SurfaceUIImpl(AbstractSurface s, String type, Class dialog)`

Method Summary
`void` | `draw(Graphics g, Camera camera)` Does nothing.
`Dialog` | `getDialog()` Returns null.
`Class` | `getDialogClass()`
`String` | `getType()` Returns the name of the type of surface that this SurfaceUI object represents as a String object.
`boolean` | `hasDialog()` Returns false.
`void` | `setDialogClass(Class dialog)`
`void` | `setType(String type)`

Methods inherited from class net.sf.j3d.threeD.raytracer.surfaceUI.AbstractSurfaceUI
`getColorAt, getIcon, getName, getNormalAt, getShadeBack, getShadeFront, getSurface, intersect, intersectAt, setName, setParent, setSurface, shade, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SurfaceUIFactory.SurfaceUIImpl

    public SurfaceUIFactory.SurfaceUIImpl()

### SurfaceUIFactory.SurfaceUIImpl

    public SurfaceUIFactory.SurfaceUIImpl(AbstractSurface s,
                                          String type,
                                          Class dialog)

Method Detail

### setType

    public void setType(String type)

### setDialogClass

    public void setDialogClass(Class dialog)

### getDialogClass

    public Class getDialogClass()

### hasDialog

    public boolean hasDialog()

  Description copied from class: `AbstractSurfaceUI`
  Returns false.

  Specified by:
    `hasDialog` in interface `SurfaceUI`
  Overrides:
    `hasDialog` in class `AbstractSurfaceUI`
  See Also:
    `SurfaceUI.hasDialog()`

### getDialog

    public Dialog getDialog()

  Description copied from class: `AbstractSurfaceUI`
  Returns null.

  Specified by:
    `getDialog` in interface `SurfaceUI`
  Overrides:
    `getDialog` in class `AbstractSurfaceUI`

### getType

    public String getType()

  Description copied from interface: `SurfaceUI`
  Returns the name of the type of surface that this SurfaceUI object represents as a String object.

  See Also:
    `SurfaceUI.getType()`

### draw

    public void draw(Graphics g,
                     Camera camera)

  Does nothing. Perhaps someday this will be a useful method...

  See Also:
    `net.sf.j3d.threeD.raytracer.surfaceUI.SurfaceUI#draw(java.awt.Graphics, net.sf.j3d.threeD.raytracer.engine.Camera)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD